
Infrastructure - Story #793

metacat does not handle replicaStatus param of listObjects

2010-08-23 20:24 - Chad Berkley

Status: Closed Start date: 2010-10-06

Priority: High Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Story Points:    

Description

Add addition xml_documents.server_location information to the standard query result.  this will enable listObjects to see if a

document is a replica or not.  Without this, it is impossible to tell.

History

#1 - 2010-08-23 21:42 - Dave Vieglais

It's not clear if the concern is for CN or MN operations.  The problem is valid for CN operation, but not necessary for MN operation.

CN management of data and metadata is dependent on the SystemMetadata dateUploaded timestamp. 

In the case of content that has been uploaded from a source outside of [DataONE], the dateUploaded will be set by the MN create() operation.  Since

CNs harvest content based on this timestamp, the new content will be picked up by the CN.

In the situation where content is transferred from a MN to another MN, it will be necessary to preserve the dateUploaded timestamp.  This can be

achieved by the recipient MN requesting the system metadata associated with the object being transferred from the origin, or the CN can forward the

system metadata along with the request for object replication.  In either case, the transferred content will retain the dateUploaded timestamp, and so

will not appear as new content to a Coordinating Node.

Hence, it is not necessary for a MN listObjects() call to indicate whether or not an object has been replicated.  However, it is necessary to update docs

associated with MN replication to ensure the dateUploaded timestamp is preserved.

#2 - 2010-10-06 17:18 - Chad Berkley

- Tracker changed from Task to Story

- Start date set to 2010-10-06

#3 - 2010-10-06 17:33 - Chad Berkley

- Position set to 1

- Target version deleted (CCI-0.6)

#4 - 2010-10-06 17:34 - Chad Berkley

- Milestone set to CCI-0.6

#5 - 2010-10-07 16:46 - Dave Vieglais

- Position set to 2
- Target version set to Sprint-2010.41

- Position deleted (6)

#6 - 2010-10-22 16:31 - Chad Berkley

- Target version deleted (Sprint-2010.41)

- Position deleted (27)

- Position set to 1

#7 - 2011-06-27 01:23 - Dave Vieglais

- Target version set to Sprint-2011.26-Block.4

- Position deleted (165)

- Position set to 27

#8 - 2011-08-30 01:29 - Dave Vieglais

- Milestone changed from CCI-0.6 to None

- Assignee changed from Chad Berkley to Chris Jones

#9 - 2011-08-30 01:29 - Dave Vieglais

- Position deleted (41)

- Target version deleted (Sprint-2011.26-Block.4)

- Position set to 1

#10 - 2011-08-30 01:50 - Dave Vieglais

- Position deleted (21)

- Position set to 1

#11 - 2011-08-30 02:36 - Dave Vieglais

- Position set to 3

- Position deleted (10)

#12 - 2011-08-30 02:39 - Dave Vieglais

- Target version set to Sprint-2011.35-Block.5

- Position deleted (3)

- Position set to 2

#13 - 2011-08-30 19:27 - Matthew Jones

- Milestone changed from None to CCI-0.6.3

- % Done changed from 0 to 100

- Assignee changed from Chris Jones to Matthew Jones

- Status changed from New to Closed

Verified that the Metacat implementation of listObjects() handles the replicaStatus parameter properly, which it does on all queries, inlcude listObjects

calls to MNs.  Closing as completed.
